Test::Int::Unshare Namespace Reference

Tests for unsharing variables in arrays More...

## Classes

class | Int
| Test for unsharing integer variables More...
class | Bool
| Test for unsharing Boolean variables More...
class | Failed
| Test for unsharing in failed spaces More...

## Variables

Int | i_bnd (Gecode::IPL_BND)
Int | i_dom (Gecode::IPL_DOM)
Bool | b
Failed | f

## Detailed Description

Tests for unsharing variables in arrays

## Variable Documentation

## i_bnd

Int Test::Int::Unshare::i_bnd(Gecode::IPL_BND) | ( | Gecode::IPL_BND |  | ) |

## i_dom

Int Test::Int::Unshare::i_dom(Gecode::IPL_DOM) | ( | Gecode::IPL_DOM |  | ) |

## b

Bool Test::Int::Unshare::b

Definition at line 122 of file unshare.cpp.

## f

Failed Test::Int::Unshare::f

Definition at line 124 of file unshare.cpp.